define temp-table song rcode-information
  field Artist     as character label 'Artist'    format 'x(12)'
  field Album      as character label 'Album'     format 'x(12)'
  field Track#     as integer   label 'Track#'    format '>>9'
  field TrackName  as character label 'TrackName' format 'x(40)' .

define variable cOptions as character no-undo.
define variable op-num   as integer   no-undo.
define variable fn       as character no-undo.

input from song.d.
repeat transaction:
  create song.
  import song.
end.
input close.

update op-num.
if op-num >= 1 or op-num <= 10 then
do:
  case op-num:
    when  1 then cOptions = 'FileType:txt'.
    when  2 then cOptions = 'FileType:txt' + chr(1) + 'Grid:yes'.
    when  3 then cOptions = 'FileType:txt' + chr(1)
                          + 'Grid:yes'     + chr(1)
                          + 'GridInterval:3'.
    when  4 then cOptions = 'FileType:txt'             + chr(1)
                          + 'Grid:yes'                 + chr(1)
                          + 'FirstOfList:Artist,Album' + chr(1)
                          + 'GridField:Album'.
    when  5 then cOptions = 'FileType:txt'             + chr(1)
                          + 'Grid:yes'                 + chr(1)
                          + 'FirstOfList:Artist,Album' + chr(1)
                          + 'GridField:Album'          + chr(1)
                          + 'GridCharHor:.'            + chr(1)
                          + 'GridCharVer::'            + chr(1)
                          + 'GridCharCross::'.
    when  6 then cOptions = 'FileType:txt'             + chr(1) 
                          + 'Grid:yes'                 + chr(1) 
                          + 'FirstOfList:Artist,Album' + chr(1) 
                          + 'GridField:Album'          + chr(1) 
                          + 'GridCharHor:.'            + chr(1) 
                          + 'GridCharVer::'            + chr(1) 
                          + 'GridCharCross::'          + chr(1) 
                          + 'SkipList:Track#'.
    when  7 then cOptions = 'FileType:txt'             + chr(1)
                          + 'Grid:yes'                 + chr(1)
                          + 'FirstOfList:Artist,Album' + chr(1)
                          + 'GridField:Album'          + chr(1)
                          + 'SkipList:Track#'          + chr(1)
                          + 'Labels:no'.
    when  8 then cOptions = 'FileType:txt'             + chr(1)
                          + 'Grid:yes'                 + chr(1)
                          + 'FirstOfList:Artist,Album' + chr(1)
                          + 'GridField:Album'          + chr(1)
                          + 'GridCharHor:-='           + chr(1)
                          + 'GridCharVer:| '           + chr(1)
                          + 'GridCharCross:+='.
    when  9 then cOptions = 'FileType:xml' + chr(1).
    when 10 then cOptions = 'FileType:xml' + chr(1) 
                          + 'AttributeList:Artist,Album,Track#'.
  end case.

  fn = 'temp.txt'.
  if op-num > 8 then fn = 'temp.xml'.

  run tt-file.p( input temp-table song:handle,
                 input fn,
                 input cOptions ).

  os-command no-wait value("start " + fn).
end.
